Send a signal to a process

- « posix_isatty

- posix_mkfifo »

- PHP Manual
- POSIX Functions
- Send a signal to a process

# posix_kill

(PHP 4, PHP 5, PHP 7, PHP 8)

posix_kill — Send a signal to a process

### Description

posix_kill(int `$process_id`, int `$signal`): bool

Send the signal `signal` to the process with the process identifier `process_id`.

### Parameters

`process_id`

  The process identifier.

`signal`

  One of the PCNTL signals constants.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- The kill(2) manual page of the POSIX system, which contains additional information about negative process identifiers, the special pid 0, the special pid -1, and the signal number 0.